Bug 100547 - Trend line equation: customize X and Y variable name
Summary: Trend line equation: customize X and Y variable name
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Laurent BP
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-22 14:04 UTC by Laurent BP
Modified: 2016-08-19 16:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-06-22 14:04:23 UTC
Description: Following bug 77744 comment 6 In UI trend line dialog, enable user to modify X variable name (default is 'x') and Y variable name (default is 'f(x)')

Steps to reproduce:
1. Insert a trend line and check 'Show Equation'

Actual behavior:
Equation looks like 'f(x) = ... x ...'

Expected behavior
In UI trendline dialog, if 'Show Equation' is checked, two edit text fields should appear:
X variable name: (default 'x')
Y variable name: (default 'f(x)')
This may give more customized equation such as:
P(t) = ... t ...
Comment 1 Buovjaga 2016-06-26 11:55:45 UTC
Sounds good -> NEW
Comment 2 Commit Notification 2016-08-16 20:55:45 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=428711f03c31802e339e57384b9f925a0e4dcc12

Start tdf#100547 Trendline equation: customize X, Y names

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-08-16 20:57:16 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa21f8acfa4d4997688ef4ddc04fcf95987e3424

tdf#100547 Save to ODF XY customized names

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Óvári 2016-08-19 10:26:32 UTC
Is it possible to have subscript and superscript in the X and Y variable names?
P_{original}
time^2

Thank you
Comment 5 Óvári 2016-08-19 10:31:04 UTC
(In reply to Óvári from comment #4)
Sorry, should read:

P_{original}(t)
https://duckduckgo.com/?q=latex+subscript&t=lm&ia=answer

time^{2}
https://duckduckgo.com/?q=latex+superscript&t=lm&ia=answer

Thank you
Comment 6 Laurent BP 2016-08-19 16:47:20 UTC
(In reply to Óvári from comment #4)
> Is it possible to have subscript and superscript in the X and Y variable
> names?
No while bug 39052 is not fixed.
Superscript in polynomial equation is just a trick thanks to unicode superscript digits. See
https://cgit.freedesktop.org/libreoffice/core/commit?id=a0b1a10ddcf5e17116055a0c82200231bf5cd55f

You may use the same trick with ² and so on. 
Equation is just a string with only one format for the whole string like titles or textboxes in chart.